# eric7.CondaInterface.CondaPackageDetailsWidget

Module implementing a widget and a dialog to show package details.

### Global Attributes

None

### Classes

CondaPackageDetailsDialog | Class implementing a dialog to show package details.
CondaPackageDetailsWidget | Class implementing a widget to show package details.

### Functions

None

## CondaPackageDetailsDialog

Class implementing a dialog to show package details.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

CondaPackageDetailsDialog | Constructor

### Static Methods

None

#### CondaPackageDetailsDialog (Constructor)

CondaPackageDetailsDialog(details, parent=None)

Constructor

details (dict)
  dictionary containing the package details
parent (QWidget)
  reference to the parent widget

Up

## CondaPackageDetailsWidget

Class implementing a widget to show package details.

### Derived from

QWidget, Ui_CondaPackageDetailsWidget

### Class Attributes

None

### Class Methods

None

### Methods

CondaPackageDetailsWidget | Constructor

### Static Methods

None

#### CondaPackageDetailsWidget (Constructor)

CondaPackageDetailsWidget(details, parent=None)

Constructor

details (dict)
  dictionary containing the package details
parent (QWidget)
  reference to the parent widget

Up